Name:           hyphen-lt
Version:        0.20100531
Release:        18
Summary:        The rules for Lithuanian hyphenation
License:        MIT
URL:            http://tug.org/tex-hyphen
Source:		http://mirror.ctan.org/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-lt.tex
BuildArch:      noarch
Requires:       hyphen
BuildRequires:  hyphen-devel, perl
Supplements:    (hyphen and langpacks-lt)

%description
The rules for Lithuanian hyphenation

%prep
%autosetup -T -c -n hyphen-lt
install -p %{SOURCE0} .

%build
substrings.pl hyph-lt.tex hyph_lt_LT.dic UTF-8
cat << EOF >>README
Created with substring.pl by substrings.pl hyph-lt.tex hyph_lt_LT.dic UTF-8
Original in-line credits were:

EOF
head -n 45 hyph-lt.tex >> README

%install
install -Dp hyph_lt_LT.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_lt_LT.dic

%files
%doc README
%{_datadir}/hyphen/*

%changelog
* Wed Jun 02 2021 wulei <wulei80@huawei.com> - 0.20100531-18
- fixes failed: perl: bad interpreter: No such file or diretory

* Thu Jan 07 2021 Ge Wang <wangge20@huawei.com> - 0.20100531-17
- Modify license information

* Wed Sep 09 2020 baizhonggui <baizhonggui@huawei.com> - 0.20100531-16
- Modify Source.

* Fri Jul 03 2020 yaokai <yaokai13@huawei.com> - 0.20100531-15
- Package init
